-- 基础信息
base_info = {
	group_id = 133002118
}

-- Trigger变量
defs = {
	gadget_prison = 118001,
	duration = 210,
	rampage_time = 40,
	eye_point = 118075
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 118081, 118082, 118083, 118084, 118085, 118086}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {4,5}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	-- 抓捕者
	[118001] = { config_id = 118001, gadget_id = 70800087, pos = { x = 1970.301, y = 210.728, z = -885.292 }, rot = { x = 0.000, y = 250.069, z = 0.000 }, level = 1, area_id = 3 },
	[118002] = { config_id = 118002, gadget_id = 44000253, pos = { x = 1947.936, y = 215.468, z = -890.922 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118003] = { config_id = 118003, gadget_id = 44000254, pos = { x = 1954.084, y = 213.309, z = -910.852 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[118004] = { config_id = 118004, gadget_id = 44000253, pos = { x = 1949.030, y = 215.272, z = -889.033 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118005] = { config_id = 118005, gadget_id = 44000253, pos = { x = 1955.293, y = 213.830, z = -883.986 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[118006] = { config_id = 118006, gadget_id = 44000253, pos = { x = 1954.365, y = 214.060, z = -885.591 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[118007] = { config_id = 118007, gadget_id = 44000253, pos = { x = 1945.281, y = 215.979, z = -877.232 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 1, area_id = 3 },
	[118008] = { config_id = 118008, gadget_id = 44000253, pos = { x = 1937.047, y = 218.760, z = -884.547 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[118009] = { config_id = 118009, gadget_id = 44000253, pos = { x = 1938.616, y = 218.702, z = -883.448 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[118010] = { config_id = 118010, gadget_id = 44000253, pos = { x = 1940.123, y = 218.652, z = -882.393 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 1, area_id = 3 },
	[118011] = { config_id = 118011, gadget_id = 44000253, pos = { x = 1921.389, y = 224.902, z = -885.350 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[118012] = { config_id = 118012, gadget_id = 44000253, pos = { x = 1923.109, y = 224.904, z = -884.571 }, rot = { x = 0.000, y = 60.000, z = 350.000 }, level = 1, area_id = 3 },
	[118013] = { config_id = 118013, gadget_id = 44000253, pos = { x = 1895.094, y = 226.937, z = -893.988 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[118014] = { config_id = 118014, gadget_id = 44000253, pos = { x = 1897.416, y = 226.640, z = -893.302 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118015] = { config_id = 118015, gadget_id = 44000253, pos = { x = 1904.072, y = 228.453, z = -882.136 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118016] = { config_id = 118016, gadget_id = 44000253, pos = { x = 1904.072, y = 228.444, z = -884.064 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118017] = { config_id = 118017, gadget_id = 44000253, pos = { x = 1934.490, y = 221.063, z = -900.883 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 1, area_id = 3 },
	[118018] = { config_id = 118018, gadget_id = 44000253, pos = { x = 1932.386, y = 220.987, z = -899.668 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1, area_id = 3 },
	[118019] = { config_id = 118019, gadget_id = 44000253, pos = { x = 1943.406, y = 221.189, z = -915.051 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[118020] = { config_id = 118020, gadget_id = 44000253, pos = { x = 1943.963, y = 227.445, z = -913.310 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[118021] = { config_id = 118021, gadget_id = 44000253, pos = { x = 1931.116, y = 231.873, z = -942.827 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 1, area_id = 3 },
	[118022] = { config_id = 118022, gadget_id = 44000253, pos = { x = 1925.228, y = 228.360, z = -944.429 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118023] = { config_id = 118023, gadget_id = 44000253, pos = { x = 1934.551, y = 224.424, z = -928.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118024] = { config_id = 118024, gadget_id = 44000253, pos = { x = 1932.730, y = 224.563, z = -928.420 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118025] = { config_id = 118025, gadget_id = 44000253, pos = { x = 1930.861, y = 224.650, z = -928.449 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118026] = { config_id = 118026, gadget_id = 44000253, pos = { x = 1913.817, y = 223.792, z = -932.908 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	[118027] = { config_id = 118027, gadget_id = 44000253, pos = { x = 1913.184, y = 223.737, z = -931.169 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	[118028] = { config_id = 118028, gadget_id = 44000254, pos = { x = 1950.833, y = 213.248, z = -909.494 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118029] = { config_id = 118029, gadget_id = 44000254, pos = { x = 1951.916, y = 213.368, z = -910.668 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118030] = { config_id = 118030, gadget_id = 44000254, pos = { x = 1948.387, y = 221.564, z = -909.437 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118031] = { config_id = 118031, gadget_id = 44000254, pos = { x = 1947.476, y = 221.510, z = -908.007 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118032] = { config_id = 118032, gadget_id = 44000254, pos = { x = 1943.292, y = 221.510, z = -906.631 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118033] = { config_id = 118033, gadget_id = 44000254, pos = { x = 1933.716, y = 221.899, z = -907.289 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118034] = { config_id = 118034, gadget_id = 44000254, pos = { x = 1920.218, y = 224.252, z = -942.402 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118035] = { config_id = 118035, gadget_id = 44000254, pos = { x = 1919.110, y = 224.261, z = -943.516 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118036] = { config_id = 118036, gadget_id = 44000254, pos = { x = 1905.184, y = 224.975, z = -924.975 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118037] = { config_id = 118037, gadget_id = 44000254, pos = { x = 1906.384, y = 225.058, z = -923.921 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118038] = { config_id = 118038, gadget_id = 44000254, pos = { x = 1897.002, y = 229.446, z = -890.096 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118039] = { config_id = 118039, gadget_id = 44000254, pos = { x = 1895.038, y = 229.179, z = -889.038 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118040] = { config_id = 118040, gadget_id = 44000254, pos = { x = 1890.429, y = 230.510, z = -917.320 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118041] = { config_id = 118041, gadget_id = 44000254, pos = { x = 1892.225, y = 230.821, z = -916.909 }, rot = { x = 0.000, y = 40.000, z = 90.000 }, level = 1, area_id = 3 },
	[118042] = { config_id = 118042, gadget_id = 44000254, pos = { x = 1903.099, y = 230.833, z = -917.728 }, rot = { x = 0.000, y = 60.000, z = 90.000 }, level = 1, area_id = 3 },
	[118043] = { config_id = 118043, gadget_id = 44000254, pos = { x = 1902.567, y = 230.380, z = -915.751 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[118044] = { config_id = 118044, gadget_id = 44000254, pos = { x = 1941.364, y = 224.479, z = -937.974 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[118045] = { config_id = 118045, gadget_id = 44000254, pos = { x = 1941.853, y = 224.429, z = -939.247 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, level = 1, area_id = 3 },
	[118046] = { config_id = 118046, gadget_id = 44000254, pos = { x = 1937.381, y = 226.675, z = -905.204 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 1, area_id = 3 },
	[118047] = { config_id = 118047, gadget_id = 44000254, pos = { x = 1942.311, y = 227.274, z = -906.823 }, rot = { x = 0.000, y = 5.000, z = 90.000 }, level = 1, area_id = 3 },
	[118048] = { config_id = 118048, gadget_id = 44000254, pos = { x = 1909.102, y = 235.793, z = -940.462 }, rot = { x = 0.000, y = 0.000, z = 90.000 }, level = 1, area_id = 3 },
	[118049] = { config_id = 118049, gadget_id = 44000254, pos = { x = 1913.651, y = 221.940, z = -906.430 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[118050] = { config_id = 118050, gadget_id = 44000254, pos = { x = 1958.877, y = 215.957, z = -912.474 }, rot = { x = 0.000, y = 20.000, z = 90.000 }, level = 1, area_id = 3 },
	[118051] = { config_id = 118051, gadget_id = 44000254, pos = { x = 1955.133, y = 216.996, z = -931.441 }, rot = { x = 0.000, y = 90.000, z = 90.000 }, level = 1, area_id = 3 },
	[118052] = { config_id = 118052, gadget_id = 44000253, pos = { x = 1929.416, y = 221.477, z = -906.448 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 1, area_id = 3 },
	[118066] = { config_id = 118066, gadget_id = 70800415, pos = { x = 1929.012, y = 233.189, z = -909.938 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 3 },
	[118068] = { config_id = 118068, gadget_id = 70310008, pos = { x = 1930.587, y = 224.182, z = -959.790 }, rot = { x = 0.000, y = 340.000, z = 0.000 }, level = 1, area_id = 3 },
	[118069] = { config_id = 118069, gadget_id = 70310008, pos = { x = 1928.867, y = 212.956, z = -959.300 }, rot = { x = 75.000, y = 180.000, z = 180.000 }, level = 1, area_id = 3 },
	[118070] = { config_id = 118070, gadget_id = 70800111, pos = { x = 1889.810, y = 247.490, z = -879.650 }, rot = { x = 0.000, y = 45.000, z = 0.000 }, level = 1, area_id = 3 }
}

-- 区域
regions = {
	[118074] = { config_id = 118074, shape = RegionShape.SPHERE, radius = 200, pos = { x = 1898.680, y = 198.061, z = -913.018 }, area_id = 3 },
	[118075] = { config_id = 118075, shape = RegionShape.SPHERE, radius = 80, pos = { x = 1943.964, y = 212.026, z = -919.885 }, area_id = 3 },
	[118076] = { config_id = 118076, shape = RegionShape.SPHERE, radius = 85, pos = { x = 1934.972, y = 238.303, z = -914.742 }, area_id = 3 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 猎人出生点
	{ config_id = 118077, pos = { x = 1970.301, y = 210.728, z = -885.292 }, rot = { x = 0.000, y = 250.069, z = 0.000 }, area_id = 3 },
	-- 游侠出生点1
	{ config_id = 118078, pos = { x = 1959.564, y = 212.842, z = -886.583 }, rot = { x = 0.000, y = 234.265, z = 0.000 }, area_id = 3 },
	-- 游侠出生点2
	{ config_id = 118079, pos = { x = 1960.943, y = 212.822, z = -889.044 }, rot = { x = 0.000, y = 234.265, z = 0.000 }, area_id = 3 },
	-- 游侠出生点3
	{ config_id = 118080, pos = { x = 1962.451, y = 212.710, z = -891.316 }, rot = { x = 0.000, y = 234.265, z = 0.000 }, area_id = 3 },
	-- 能量随机1
	{ config_id = 118081, pos = { x = 1937.320, y = 223.844, z = -934.003 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机2
	{ config_id = 118082, pos = { x = 1901.854, y = 229.854, z = -910.073 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机3
	{ config_id = 118083, pos = { x = 1903.882, y = 228.436, z = -886.220 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机4
	{ config_id = 118084, pos = { x = 1952.109, y = 211.359, z = -904.893 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机5
	{ config_id = 118085, pos = { x = 1911.671, y = 231.925, z = -935.266 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 },
	-- 能量随机6
	{ config_id = 118086, pos = { x = 1937.059, y = 218.759, z = -880.962 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 3 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 118001 },
		regions = { 118074, 118075, 118076 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 118002, 118003, 118004, 118005, 118006, 118007, 118008, 118009, 118010, 118011, 118012, 118013, 118014, 118015, 118016, 118017, 118018, 118019, 118020, 118021, 118022, 118023, 118024, 118025, 118026, 118027, 118028, 118029, 118030, 118031, 118032, 118033, 118034, 118035, 118036, 118037, 118038, 118039, 118040, 118041, 118042, 118043, 118044, 118045, 118046, 118047, 118048, 118049, 118050, 118051, 118052 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 118066, 118068, 118069, 118070 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
